## mate-rr-config mate-rr-config |

## Synopsis

    #include <libmateui/mate-rr-config.h>

    typedef             MateOutputInfo;
    typedef             MateRRConfig;
    MateRRConfig *     mate_rr_config_new_current         (MateRRScreen *screen);
    MateRRConfig *     mate_rr_config_new_stored          (MateRRScreen *screen,
                                                             GError **error);
    void                mate_rr_config_free                (MateRRConfig *configuration);
    gboolean            mate_rr_config_match               (MateRRConfig *config1,
                                                             MateRRConfig *config2);
    gboolean            mate_rr_config_equal               (MateRRConfig *config1,
                                                             MateRRConfig *config2);
    gboolean            mate_rr_config_save                (MateRRConfig *configuration,
                                                             GError **error);
    void                mate_rr_config_sanitize            (MateRRConfig *configuration);
    gboolean            mate_rr_config_apply               (MateRRConfig *configuration,
                                                             MateRRScreen *screen,
                                                             GError **error);
    gboolean            mate_rr_config_apply_stored        (MateRRScreen *screen,
                                                             GError **error);
    gboolean            mate_rr_config_applicable          (MateRRConfig *configuration,
                                                             MateRRScreen *screen,
                                                             GError **error);

## Description

## Details

### MateOutputInfo

    typedef struct MateOutputInfo MateOutputInfo;

### MateRRConfig

    typedef struct MateRRConfig MateRRConfig;

### mate_rr_config_new_current ()

    MateRRConfig *     mate_rr_config_new_current         (MateRRScreen *screen);

`screen` : |
Returns : |

### mate_rr_config_new_stored ()

    MateRRConfig *     mate_rr_config_new_stored          (MateRRScreen *screen,
                                                             GError **error);

`screen` : |
`error` : |
Returns : |

### mate_rr_config_free ()

    void                mate_rr_config_free                (MateRRConfig *configuration);

`configuration` : |

### mate_rr_config_match ()

    gboolean            mate_rr_config_match               (MateRRConfig *config1,
                                                             MateRRConfig *config2);

`config1` : |
`config2` : |
Returns : |

### mate_rr_config_equal ()

    gboolean            mate_rr_config_equal               (MateRRConfig *config1,
                                                             MateRRConfig *config2);

`config1` : |
`config2` : |
Returns : |

### mate_rr_config_save ()

    gboolean            mate_rr_config_save                (MateRRConfig *configuration,
                                                             GError **error);

`configuration` : |
`error` : |
Returns : |

### mate_rr_config_sanitize ()

    void                mate_rr_config_sanitize            (MateRRConfig *configuration);

`configuration` : |

### mate_rr_config_apply ()

    gboolean            mate_rr_config_apply               (MateRRConfig *configuration,
                                                             MateRRScreen *screen,
                                                             GError **error);

### Warning

`mate_rr_config_apply` is deprecated and should not be used in newly-written code.

`configuration` : |
`screen` : |
`error` : |
Returns : |

### mate_rr_config_apply_stored ()

    gboolean            mate_rr_config_apply_stored        (MateRRScreen *screen,
                                                             GError **error);

### Warning

`mate_rr_config_apply_stored` is deprecated and should not be used in newly-written code.

See the documentation for `mate_rr_config_apply_from_filename()`. This function simply calls that other function with a filename of `mate_rr_config_get_intended_filename()`.

`Deprecated`: 2.26: Use `mate_rr_config_apply_from_filename()` instead and pass it the filename from `mate_rr_config_get_intended_filename()`.

`screen` : | A MateRRScreen
`error` : | Location to store error, or `NULL`
Returns : |

### mate_rr_config_applicable ()

    gboolean            mate_rr_config_applicable          (MateRRConfig *configuration,
                                                             MateRRScreen *screen,
                                                             GError **error);

`configuration` : |
`screen` : |
`error` : |
Returns : |